Bug 798699 - NFS server locked - not to unlock/detach, etc - had to edit postgres DB to solve.
NFS server locked - not to unlock/detach, etc - had to edit postgres DB to so...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity unspecified
: ---
: 3.3.4
Assigned To: lpeer
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-29 10:48 EST by Morgan Cox
Modified: 2016-02-10 12:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-12 02:32:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (1.00 MB, text/plain)
2012-02-29 10:50 EST, Morgan Cox
no flags Details

  None (edit)
Description Morgan Cox 2012-02-29 10:48:49 EST
Description of problem:

I changed NFS settings on an external NFS server / storage domain (so that only LAN ips could connect)  - afterwards it was locked and remained locked in ovirt.

I disabled all hosts and turned off (powered off) the storage NFS server and it still remained locked.

I couldn't even 'force remove' the data center as you needed to disable storage - I couldn't as it was locked....

Version-Release number of selected component (if applicable):

----------------------------------------
[root@frontend ~]# rpm -qa | grep ovirt
ovirt-engine-jbossas-1.2-2.fc16.x86_64
ovirt-engine-log-collector-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-webadmin-portal-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-dbscripts-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-iso-uploader-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-setup-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-config-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-tools-common-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-restapi-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-backend-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-genericapi-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-jboss-deps-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-userportal-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-notification-service-3.0.0_0001-1.6.fc16.x86_64
ovirt-engine-3.0.0_0001-1.6.fc16.x86_64
----------------------------------------

How reproducible:

Not sure - I hope to never see the issue again.

Steps to Reproduce:
1. edit nfs sertting
2. see nfs isn't working in ovirt - try to enable
3. storage is now locked and can be removed
  
Actual results:


Not able to detach, remove storage

Expected results:

storage works...

Additional info: 

I thought i would send this - I was asked to by an Ovirt developer in IRC . Also it is an example of being trapped in a catch22 situation - i.e not being able to remove storage due to it being locked.

atatched log.
Comment 1 Morgan Cox 2012-02-29 10:50:03 EST
Created attachment 566575 [details]
log
Comment 2 Morgan Cox 2012-02-29 10:51:38 EST
I resoved it by edited the DB

 UPDATE storage_pool_iso_map SET status='6' where storage_id='5fa9fa59-ba8d-4825-96ec-130275dcd004';

then I could remove it.
Comment 3 Morgan Cox 2012-02-29 10:51:55 EST
I resoved it by edited the DB

 UPDATE storage_pool_iso_map SET status='6' where storage_id='5fa9fa59-ba8d-4825-96ec-130275dcd004';

then I could remove it.
Comment 4 Itamar Heim 2012-12-12 02:32:47 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.